/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SequenceDataLocal extends com.mysql.grt.db.DatabaseObjectDataLocal implements SequenceData {

    private int cycleFlag;

    private int orderFlag;

    private String minValue;

    private String maxValue;

    private String incrementBy;

    private String cacheSize;

    private String lastNumber;

    public SequenceDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getCycleFlag() {
        return cycleFlag;
    }

    public int setCycleFlag(int cycleFlag) {
        this.cycleFlag = cycleFlag;

        return getCycleFlag();
    }

    public int getOrderFlag() {
        return orderFlag;
    }

    public int setOrderFlag(int orderFlag) {
        this.orderFlag = orderFlag;

        return getOrderFlag();
    }

    public String getMinValue() {
        return minValue;
    }

    public String setMinValue(String minValue) {
        this.minValue = minValue;

        return getMinValue();
    }

    public String getMaxValue() {
        return maxValue;
    }

    public String setMaxValue(String maxValue) {
        this.maxValue = maxValue;

        return getMaxValue();
    }

    public String getIncrementBy() {
        return incrementBy;
    }

    public String setIncrementBy(String incrementBy) {
        this.incrementBy = incrementBy;

        return getIncrementBy();
    }

    public String getCacheSize() {
        return cacheSize;
    }

    public String setCacheSize(String cacheSize) {
        this.cacheSize = cacheSize;

        return getCacheSize();
    }

    public String getLastNumber() {
        return lastNumber;
    }

    public String setLastNumber(String lastNumber) {
        this.lastNumber = lastNumber;

        return getLastNumber();
    }

}
