/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class IndexColumnDataLocal extends com.mysql.grt.db.IndexColumnDataLocal implements IndexColumnData {

    private String fileid;

    private String filestate;

    private String createDate;

    private String createTime;

    public IndexColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getFileid() {
        return fileid;
    }

    public String setFileid(String fileid) {
        this.fileid = fileid;

        return getFileid();
    }

    public String getFilestate() {
        return filestate;
    }

    public String setFilestate(String filestate) {
        this.filestate = filestate;

        return getFilestate();
    }

    public String getCreateDate() {
        return createDate;
    }

    public String setCreateDate(String createDate) {
        this.createDate = createDate;

        return getCreateDate();
    }

    public String getCreateTime() {
        return createTime;
    }

    public String setCreateTime(String createTime) {
        this.createTime = createTime;

        return getCreateTime();
    }

}
