/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class ElementDataLocal extends com.mysql.grt.model.ElementDataLocal implements ElementData {

    private String obj;

    public ElementDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.GrtObject getObj() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(obj);
    }

    public com.mysql.grt.GrtObject setObj(com.mysql.grt.GrtObject obj) {
        this.obj = obj.get_id();
        return getObj();
    }

    public String getObjById() {
        return obj;
    }

    public void setObjById(String obj) {
        this.obj = obj;
    }

}
