/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface SimpleDatatypeData extends com.mysql.grt.GrtObjectData {

    public int getCharacterMaximumLength();

    public int setCharacterMaximumLength(int characterMaximumLength);

    public int getCharacterOctetLength();

    public int setCharacterOctetLength(int characterOctetLength);

    public int getNumericPrecision();

    public int setNumericPrecision(int numericPrecision);

    public int getNumericPrecisionRadix();

    public int setNumericPrecisionRadix(int numericPrecisionRadix);

    public int getNumericScale();

    public int setNumericScale(int numericScale);

    public int getDateTimePrecision();

    public int setDateTimePrecision(int dateTimePrecision);

    public com.mysql.grt.GrtStringList getSynonyms();

    public com.mysql.grt.GrtStringList setSynonyms(com.mysql.grt.GrtStringList synonyms);

    public com.mysql.grt.GrtStringList getFlags();

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags);

    public com.mysql.grt.db.DatatypeGroup getGroup();

    public com.mysql.grt.db.DatatypeGroup setGroup(com.mysql.grt.db.DatatypeGroup group);

    public String getGroupById();

    public void setGroupById(String group);

}
