/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class RoutineDataLocal extends com.mysql.grt.db.RoutineDataLocal implements RoutineData {

    private int aggregate;

    private int pipelined;

    private int parallel;

    private String implTypeOwner;

    private String implTypeName;

    public RoutineDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getAggregate() {
        return aggregate;
    }

    public int setAggregate(int aggregate) {
        this.aggregate = aggregate;

        return getAggregate();
    }

    public int getPipelined() {
        return pipelined;
    }

    public int setPipelined(int pipelined) {
        this.pipelined = pipelined;

        return getPipelined();
    }

    public int getParallel() {
        return parallel;
    }

    public int setParallel(int parallel) {
        this.parallel = parallel;

        return getParallel();
    }

    public String getImplTypeOwner() {
        return implTypeOwner;
    }

    public String setImplTypeOwner(String implTypeOwner) {
        this.implTypeOwner = implTypeOwner;

        return getImplTypeOwner();
    }

    public String getImplTypeName() {
        return implTypeName;
    }

    public String setImplTypeName(String implTypeName) {
        this.implTypeName = implTypeName;

        return getImplTypeName();
    }

}
