/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class ModelInfoDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ModelInfoData {

    private String modelName;

    private String version;

    private String author;

    private String project;

    private String dateCreated;

    private String dateChanged;

    private String description;

    public ModelInfoDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getModelName() {
        return modelName;
    }

    public String setModelName(String modelName) {
        this.modelName = modelName;

        return getModelName();
    }

    public String getVersion() {
        return version;
    }

    public String setVersion(String version) {
        this.version = version;

        return getVersion();
    }

    public String getAuthor() {
        return author;
    }

    public String setAuthor(String author) {
        this.author = author;

        return getAuthor();
    }

    public String getProject() {
        return project;
    }

    public String setProject(String project) {
        this.project = project;

        return getProject();
    }

    public String getDateCreated() {
        return dateCreated;
    }

    public String setDateCreated(String dateCreated) {
        this.dateCreated = dateCreated;

        return getDateCreated();
    }

    public String getDateChanged() {
        return dateChanged;
    }

    public String setDateChanged(String dateChanged) {
        this.dateChanged = dateChanged;

        return getDateChanged();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

}
