/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public interface RelationshipData extends com.mysql.grt.GrtObjectData {

    public int getStartMandatory();

    public int setStartMandatory(int startMandatory);

    public int getEndMandatory();

    public int setEndMandatory(int endMandatory);

    public int getStartMany();

    public int setStartMany(int startMany);

    public int getEndMany();

    public int setEndMany(int endMany);

    public double getCaptionXOffs();

    public double setCaptionXOffs(double captionXOffs);

    public double getCaptionYOffs();

    public double setCaptionYOffs(double captionYOffs);

    public double getStartCaptionXOffs();

    public double setStartCaptionXOffs(double startCaptionXOffs);

    public double getStartCaptionYOffs();

    public double setStartCaptionYOffs(double startCaptionYOffs);

    public double getEndCaptionXOffs();

    public double setEndCaptionXOffs(double endCaptionXOffs);

    public double getEndCaptionYOffs();

    public double setEndCaptionYOffs(double endCaptionYOffs);

    public String getCaption();

    public String setCaption(String caption);

    public String getStartCaption();

    public String setStartCaption(String startCaption);

    public String getEndCaption();

    public String setEndCaption(String endCaption);

    public String getComment();

    public String setComment(String comment);

    public com.mysql.grt.db.workbench.TableElement getStartTable();

    public com.mysql.grt.db.workbench.TableElement setStartTable(com.mysql.grt.db.workbench.TableElement startTable);

    public String getStartTableById();

    public void setStartTableById(String startTable);

    public com.mysql.grt.db.workbench.TableElement getEndTable();

    public com.mysql.grt.db.workbench.TableElement setEndTable(com.mysql.grt.db.workbench.TableElement endTable);

    public String getEndTableById();

    public void setEndTableById(String endTable);

}
