/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public interface MarkerData extends com.mysql.grt.GrtObjectData {

    public int getX();

    public int setX(int x);

    public int getY();

    public int setY(int y);

    public double getZoom();

    public double setZoom(double zoom);

    public com.mysql.grt.GrtObject getView();

    public com.mysql.grt.GrtObject setView(com.mysql.grt.GrtObject view);

    public String getViewById();

    public void setViewById(String view);

}
